<?php
/**
 * @package Sj Flat Menu
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2013 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */

defined('_JEXEC') or die;

abstract class SjmarketHelper
{
	public static function getSharesCode($sharesCode)
	{
		$codes = explode(chr(13),$sharesCode);
		$items = array();
		$a = 1;
		foreach($codes as $index => $code){
			$code = str_replace(chr(10),'',$code);
			$code_array = explode('=',$code);
			if(isset($code_array[1])){
				$code = $code_array[1];
				$name = $code_array[0];
			}else{
				$code = $code_array[0];
				$name = $code_array[0];
			}			
			if(!isset($code) OR $code == ''){continue;}
			$quote = file_get_contents('http://finance.google.com/finance/info?client=ig&q='.$code);
			if(!$quote){continue;}
			$json = str_replace(chr(165),"",$quote);
			$json = str_replace(chr(163),"",$json);
			$data = str_replace('// [','',$json);
			$data = str_replace(']','',$data);
			$json_output = json_decode($data, true);
			$items[$name] = array();
			$items[$name]['value'] = $json_output['l'];
			if($json_output['c'] > 0){
			$json_output['c'] = '<div class="icon-plus-shares">'.$json_output['c'].'</div>';
			}else{
			if($json_output['c'] == ''){
				$json_output['c'] = '<div class="icon-null-shares">-</div>';
			}else{
				$json_output['c'] = '<div class="icon-minus-shares">'.$json_output['c'].'</div>';
			}			
			}
			$items[$name]['index'] = $json_output['c'];
			if($json_output['cp'] > 0){
			$json_output['cp'] = '<div class="icon-plus-shares">'.$json_output['cp'].'</div>';
			}else{
			$json_output['cp'] = '<div class="icon-minus-shares">'.$json_output['cp'].'</div>';
			}
			$items[$name]['percent'] = $json_output['cp'];	
			$a++;
		}
		return $items;
	}
}
